<?php

namespace App\Http\Resources\API;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class RequirementSimpleResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            'id' => $this->id,
            'title' => $this->title,
            'description' => $this->description,
            'requirement_group' => new RequirementGroupParentResource($this->group),
            'created_by' => new UserProfileResource($this->createdBy),
            'asset' => new AssetParentResource($this->asset),
            'status' => $this->status,
            'priority' => $this->priority,
            'display_id'=>$this->display_id,
        ];
    }
}
