<?php

namespace App\Models;

use EloquentFilter\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SystemOperationLog extends Model
{
    use HasFactory, Filterable;

    public $timestamps = false;

    protected $fillable = [
        'ip',
        'request_at',
        'user_id',
        'url',
        'method',
        'browser',
        'platform',
    ];

    public function user(): \Illuminate\Database\Eloquent\Relations\BelongsTo
    {
        return $this->belongsTo(User::class);
    }
}
